diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/lte/test/epc-test-s1u-downlink.cc ns-3.40/src/lte/test/epc-test-s1u-downlink.cc
--- ns-3.39/src/lte/test/epc-test-s1u-downlink.cc	2023-07-05 14:23:48.017428200 -0700
+++ ns-3.40/src/lte/test/epc-test-s1u-downlink.cc	2023-09-27 13:30:37.826839700 -0700
@@ -154,9 +154,7 @@
     uint16_t cellIdCounter = 0;
     uint64_t imsiCounter = 0;
 
-    for (std::vector<EnbDlTestData>::iterator enbit = m_enbDlTestData.begin();
-         enbit < m_enbDlTestData.end();
-         ++enbit)
+    for (auto enbit = m_enbDlTestData.begin(); enbit < m_enbDlTestData.end(); ++enbit)
     {
         Ptr<Node> enb = CreateObject<Node>();
         enbs.Add(enb);
@@ -245,12 +243,9 @@
 
     Simulator::Run();
 
-    for (std::vector<EnbDlTestData>::iterator enbit = m_enbDlTestData.begin();
-         enbit < m_enbDlTestData.end();
-         ++enbit)
+    for (auto enbit = m_enbDlTestData.begin(); enbit < m_enbDlTestData.end(); ++enbit)
     {
-        for (std::vector<UeDlTestData>::iterator ueit = enbit->ues.begin(); ueit < enbit->ues.end();
-             ++ueit)
+        for (auto ueit = enbit->ues.begin(); ueit < enbit->ues.end(); ++ueit)
         {
             NS_TEST_ASSERT_MSG_EQ(ueit->serverApp->GetTotalRx(),
                                   (ueit->numPkts) * (ueit->pktSize),
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/lte/test/epc-test-s1u-uplink.cc ns-3.40/src/lte/test/epc-test-s1u-uplink.cc
--- ns-3.39/src/lte/test/epc-test-s1u-uplink.cc	2023-07-05 14:23:48.017428200 -0700
+++ ns-3.40/src/lte/test/epc-test-s1u-uplink.cc	2023-09-27 13:30:37.826839700 -0700
@@ -366,9 +366,7 @@
     uint16_t cellIdCounter = 0;
     uint64_t imsiCounter = 0;
 
-    for (std::vector<EnbUlTestData>::iterator enbit = m_enbUlTestData.begin();
-         enbit < m_enbUlTestData.end();
-         ++enbit)
+    for (auto enbit = m_enbUlTestData.begin(); enbit < m_enbUlTestData.end(); ++enbit)
     {
         Ptr<Node> enb = CreateObject<Node>();
         enbs.Add(enb);
@@ -486,12 +484,9 @@
 
     Simulator::Run();
 
-    for (std::vector<EnbUlTestData>::iterator enbit = m_enbUlTestData.begin();
-         enbit < m_enbUlTestData.end();
-         ++enbit)
+    for (auto enbit = m_enbUlTestData.begin(); enbit < m_enbUlTestData.end(); ++enbit)
     {
-        for (std::vector<UeUlTestData>::iterator ueit = enbit->ues.begin(); ueit < enbit->ues.end();
-             ++ueit)
+        for (auto ueit = enbit->ues.begin(); ueit < enbit->ues.end(); ++ueit)
         {
             NS_TEST_ASSERT_MSG_EQ(ueit->serverApp->GetTotalRx(),
                                   (ueit->numPkts) * (ueit->pktSize),
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/lte/test/lte-ffr-simple.cc ns-3.40/src/lte/test/lte-ffr-simple.cc
--- ns-3.39/src/lte/test/lte-ffr-simple.cc	2023-07-05 14:23:48.017428200 -0700
+++ ns-3.40/src/lte/test/lte-ffr-simple.cc	2023-09-27 13:30:37.826839700 -0700
@@ -279,9 +279,7 @@
 {
     NS_LOG_FUNCTION(this << rnti << (uint16_t)measResults.measId);
 
-    std::map<uint16_t, LteRrcSap::PdschConfigDedicated>::iterator it;
-
-    it = m_ues.find(rnti);
+    auto it = m_ues.find(rnti);
 
     if (it == m_ues.end())
     {
@@ -302,8 +300,7 @@
 {
     NS_LOG_FUNCTION(this);
 
-    std::map<uint16_t, LteRrcSap::PdschConfigDedicated>::iterator it;
-    for (it = m_ues.begin(); it != m_ues.end(); it++)
+    for (auto it = m_ues.begin(); it != m_ues.end(); it++)
     {
         if (it->second.pa != m_pdschConfigDedicated.pa)
         {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/lte/test/lte-simple-helper.cc ns-3.40/src/lte/test/lte-simple-helper.cc
--- ns-3.39/src/lte/test/lte-simple-helper.cc	2023-07-05 14:23:48.017428200 -0700
+++ ns-3.40/src/lte/test/lte-simple-helper.cc	2023-09-27 13:30:37.826839700 -0700
@@ -91,7 +91,7 @@
     NS_LOG_FUNCTION(this);
     Initialize(); // will run DoInitialize () if necessary
     NetDeviceContainer devices;
-    for (NodeContainer::Iterator i = c.Begin(); i != c.End(); ++i)
+    for (auto i = c.Begin(); i != c.End(); ++i)
     {
         Ptr<Node> node = *i;
         Ptr<NetDevice> device = InstallSingleEnbDevice(node);
@@ -105,7 +105,7 @@
 {
     NS_LOG_FUNCTION(this);
     NetDeviceContainer devices;
-    for (NodeContainer::Iterator i = c.Begin(); i != c.End(); ++i)
+    for (auto i = c.Begin(); i != c.End(); ++i)
     {
         Ptr<Node> node = *i;
         Ptr<NetDevice> device = InstallSingleUeDevice(node);
@@ -209,8 +209,7 @@
 void
 LteSimpleHelper::EnableLogComponents()
 {
-    LogLevel level =
-        (LogLevel)(LOG_LEVEL_ALL | LOG_PREFIX_TIME | LOG_PREFIX_NODE | LOG_PREFIX_FUNC);
+    auto level = (LogLevel)(LOG_LEVEL_ALL | LOG_PREFIX_TIME | LOG_PREFIX_NODE | LOG_PREFIX_FUNC);
 
     LogComponentEnable("Config", level);
     LogComponentEnable("LteSimpleHelper", level);
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/lte/test/lte-test-carrier-aggregation.cc ns-3.40/src/lte/test/lte-test-carrier-aggregation.cc
--- ns-3.39/src/lte/test/lte-test-carrier-aggregation.cc	2023-07-05 14:23:48.017428200 -0700
+++ ns-3.40/src/lte/test/lte-test-carrier-aggregation.cc	2023-09-27 13:30:37.826839700 -0700
@@ -425,8 +425,7 @@
 
     bool testDownlinkShare = true;
 
-    for (std::map<uint8_t, uint32_t>::iterator itDownlink = m_ccDownlinkTraffic.begin();
-         itDownlink != m_ccDownlinkTraffic.end();
+    for (auto itDownlink = m_ccDownlinkTraffic.begin(); itDownlink != m_ccDownlinkTraffic.end();
          itDownlink++)
     {
         if (itDownlink == m_ccDownlinkTraffic.begin())
@@ -445,9 +444,7 @@
 
     bool testUplinkShare = true;
 
-    for (std::map<uint8_t, uint32_t>::iterator itUplink = m_ccUplinkTraffic.begin();
-         itUplink != m_ccUplinkTraffic.end();
-         itUplink++)
+    for (auto itUplink = m_ccUplinkTraffic.begin(); itUplink != m_ccUplinkTraffic.end(); itUplink++)
     {
         if (itUplink == m_ccUplinkTraffic.begin())
         {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/lte/test/lte-test-cell-selection.cc ns-3.40/src/lte/test/lte-test-cell-selection.cc
--- ns-3.39/src/lte/test/lte-test-cell-selection.cc	2023-07-05 14:23:48.017428200 -0700
+++ ns-3.40/src/lte/test/lte-test-cell-selection.cc	2023-09-27 13:30:37.826839700 -0700
@@ -185,7 +185,7 @@
     NodeContainer enbNodes;
     enbNodes.Create(4);
     NodeContainer ueNodes;
-    uint16_t nUe = static_cast<uint16_t>(m_ueSetupList.size());
+    auto nUe = static_cast<uint16_t>(m_ueSetupList.size());
     ueNodes.Create(nUe);
 
     // Assign nodes to position
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/lte/test/lte-test-cqa-ff-mac-scheduler.cc ns-3.40/src/lte/test/lte-test-cqa-ff-mac-scheduler.cc
--- ns-3.39/src/lte/test/lte-test-cqa-ff-mac-scheduler.cc	2023-07-05 14:23:48.017428200 -0700
+++ ns-3.40/src/lte/test/lte-test-cqa-ff-mac-scheduler.cc	2023-09-27 13:30:37.826839700 -0700
@@ -23,15 +23,16 @@
 
 #include "lte-test-cqa-ff-mac-scheduler.h"
 
-#include "ns3/applications-module.h"
 #include "ns3/double.h"
 #include "ns3/internet-module.h"
 #include "ns3/ipv4-global-routing-helper.h"
 #include "ns3/network-module.h"
+#include "ns3/packet-sink-helper.h"
 #include "ns3/point-to-point-epc-helper.h"
 #include "ns3/point-to-point-helper.h"
 #include "ns3/radio-bearer-stats-calculator.h"
 #include "ns3/string.h"
+#include "ns3/udp-client-server-helper.h"
 #include <ns3/boolean.h>
 #include <ns3/constant-position-mobility-model.h>
 #include <ns3/enum.h>
@@ -541,7 +542,7 @@
 {
     std::ostringstream oss;
     oss << "distances (m) = [ ";
-    for (std::vector<double>::iterator it = dist.begin(); it != dist.end(); ++it)
+    for (auto it = dist.begin(); it != dist.end(); ++it)
     {
         oss << *it << " ";
     }
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/lte/test/lte-test-deactivate-bearer.cc ns-3.40/src/lte/test/lte-test-deactivate-bearer.cc
--- ns-3.39/src/lte/test/lte-test-deactivate-bearer.cc	2023-07-05 14:23:48.017428200 -0700
+++ ns-3.40/src/lte/test/lte-test-deactivate-bearer.cc	2023-09-27 13:30:37.826839700 -0700
@@ -19,15 +19,16 @@
 
 #include "lte-test-deactivate-bearer.h"
 
-#include "ns3/applications-module.h"
 #include "ns3/double.h"
 #include "ns3/internet-module.h"
 #include "ns3/ipv4-global-routing-helper.h"
 #include "ns3/network-module.h"
+#include "ns3/packet-sink-helper.h"
 #include "ns3/point-to-point-epc-helper.h"
 #include "ns3/point-to-point-helper.h"
 #include "ns3/radio-bearer-stats-calculator.h"
 #include "ns3/string.h"
+#include "ns3/udp-client-server-helper.h"
 #include <ns3/boolean.h>
 #include <ns3/constant-position-mobility-model.h>
 #include <ns3/enum.h>
@@ -108,7 +109,7 @@
 {
     std::ostringstream oss;
     oss << "distances (m) = [ ";
-    for (std::vector<uint16_t>::iterator it = dist.begin(); it != dist.end(); ++it)
+    for (auto it = dist.begin(); it != dist.end(); ++it)
     {
         oss << *it << " ";
     }
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/lte/test/lte-test-entities.cc ns-3.40/src/lte/test/lte-test-entities.cc
--- ns-3.39/src/lte/test/lte-test-entities.cc	2023-07-05 14:23:48.021428000 -0700
+++ ns-3.40/src/lte/test/lte-test-entities.cc	2023-09-27 13:30:37.826839700 -0700
@@ -162,7 +162,7 @@
     //   NS_LOG_LOGIC ("PDU received = " << (*p));
 
     uint32_t dataLen = p->GetSize();
-    uint8_t* buf = new uint8_t[dataLen];
+    auto buf = new uint8_t[dataLen];
 
     // Stats
     m_rxPdus++;
@@ -312,7 +312,7 @@
     NS_LOG_LOGIC("Data = " << (*p));
 
     uint32_t dataLen = p->GetSize();
-    uint8_t* buf = new uint8_t[dataLen];
+    auto buf = new uint8_t[dataLen];
     p->CopyData(buf, dataLen);
     m_receivedData = std::string((char*)buf, dataLen);
 
@@ -606,7 +606,7 @@
 
         // Copy data to a string
         uint32_t dataLen = params.pdu->GetSize();
-        uint8_t* buf = new uint8_t[dataLen];
+        auto buf = new uint8_t[dataLen];
         params.pdu->CopyData(buf, dataLen);
         m_receivedData = std::string((char*)buf, dataLen);
 
@@ -623,8 +623,7 @@
     if (m_txOpportunityMode == AUTOMATIC_MODE)
     {
         // cancel all previously scheduled TxOpps
-        for (std::list<EventId>::iterator it = m_nextTxOppList.begin(); it != m_nextTxOppList.end();
-             ++it)
+        for (auto it = m_nextTxOppList.begin(); it != m_nextTxOppList.end(); ++it)
         {
             it->Cancel();
         }
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/lte/test/lte-test-fdbet-ff-mac-scheduler.cc ns-3.40/src/lte/test/lte-test-fdbet-ff-mac-scheduler.cc
--- ns-3.39/src/lte/test/lte-test-fdbet-ff-mac-scheduler.cc	2023-07-05 14:23:48.021428000 -0700
+++ ns-3.40/src/lte/test/lte-test-fdbet-ff-mac-scheduler.cc	2023-09-27 13:30:37.826839700 -0700
@@ -383,7 +383,7 @@
 {
     std::ostringstream oss;
     oss << "distances (m) = [ ";
-    for (std::vector<double>::iterator it = dist.begin(); it != dist.end(); ++it)
+    for (auto it = dist.begin(); it != dist.end(); ++it)
     {
         oss << *it << " ";
     }
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/lte/test/lte-test-fdtbfq-ff-mac-scheduler.cc ns-3.40/src/lte/test/lte-test-fdtbfq-ff-mac-scheduler.cc
--- ns-3.39/src/lte/test/lte-test-fdtbfq-ff-mac-scheduler.cc	2023-07-05 14:23:48.021428000 -0700
+++ ns-3.40/src/lte/test/lte-test-fdtbfq-ff-mac-scheduler.cc	2023-09-27 13:30:37.826839700 -0700
@@ -21,15 +21,16 @@
 
 #include "lte-test-fdtbfq-ff-mac-scheduler.h"
 
-#include "ns3/applications-module.h"
 #include "ns3/double.h"
 #include "ns3/internet-module.h"
 #include "ns3/ipv4-global-routing-helper.h"
 #include "ns3/network-module.h"
+#include "ns3/packet-sink-helper.h"
 #include "ns3/point-to-point-epc-helper.h"
 #include "ns3/point-to-point-helper.h"
 #include "ns3/radio-bearer-stats-calculator.h"
 #include "ns3/string.h"
+#include "ns3/udp-client-server-helper.h"
 #include <ns3/boolean.h>
 #include <ns3/constant-position-mobility-model.h>
 #include <ns3/enum.h>
@@ -547,7 +548,7 @@
 {
     std::ostringstream oss;
     oss << "distances (m) = [ ";
-    for (std::vector<double>::iterator it = dist.begin(); it != dist.end(); ++it)
+    for (auto it = dist.begin(); it != dist.end(); ++it)
     {
         oss << *it << " ";
     }
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/lte/test/lte-test-frequency-reuse.cc ns-3.40/src/lte/test/lte-test-frequency-reuse.cc
--- ns-3.39/src/lte/test/lte-test-frequency-reuse.cc	2023-07-05 14:23:48.021428000 -0700
+++ ns-3.40/src/lte/test/lte-test-frequency-reuse.cc	2023-09-27 13:30:37.826839700 -0700
@@ -23,12 +23,13 @@
 #include "lte-ffr-simple.h"
 #include "lte-simple-spectrum-phy.h"
 
-#include "ns3/applications-module.h"
 #include "ns3/internet-module.h"
 #include "ns3/lte-helper.h"
 #include "ns3/mobility-helper.h"
+#include "ns3/packet-sink-helper.h"
 #include "ns3/point-to-point-epc-helper.h"
 #include "ns3/point-to-point-module.h"
+#include "ns3/udp-client-server-helper.h"
 #include <ns3/boolean.h>
 #include <ns3/callback.h>
 #include <ns3/config.h>
@@ -479,9 +480,8 @@
 LteFrTestCase::DlDataRxStart(Ptr<const SpectrumValue> spectrumValue)
 {
     NS_LOG_DEBUG("DL DATA Power allocation :");
-    Values::const_iterator it;
     uint32_t i = 0;
-    for (it = spectrumValue->ConstValuesBegin(); it != spectrumValue->ConstValuesEnd(); it++)
+    for (auto it = spectrumValue->ConstValuesBegin(); it != spectrumValue->ConstValuesEnd(); it++)
     {
         double power = (*it) * (m_dlBandwidth * 180000);
         NS_LOG_DEBUG("RB " << i << " POWER: "
@@ -499,9 +499,8 @@
 LteFrTestCase::UlDataRxStart(Ptr<const SpectrumValue> spectrumValue)
 {
     NS_LOG_DEBUG("UL DATA Power allocation :");
-    Values::const_iterator it;
     uint32_t i = 0;
-    for (it = spectrumValue->ConstValuesBegin(); it != spectrumValue->ConstValuesEnd(); it++)
+    for (auto it = spectrumValue->ConstValuesBegin(); it != spectrumValue->ConstValuesEnd(); it++)
     {
         double power = (*it) * (m_ulBandwidth * 180000);
         NS_LOG_DEBUG("RB " << i << " POWER: "
@@ -821,9 +820,8 @@
     }
 
     NS_LOG_DEBUG("DL DATA Power allocation :");
-    Values::const_iterator it;
     uint32_t i = 0;
-    for (it = spectrumValue->ConstValuesBegin(); it != spectrumValue->ConstValuesEnd(); it++)
+    for (auto it = spectrumValue->ConstValuesBegin(); it != spectrumValue->ConstValuesEnd(); it++)
     {
         double power = (*it) * (m_dlBandwidth * 180000);
         NS_LOG_DEBUG("RB " << i << " POWER: "
@@ -857,7 +855,6 @@
     }
 
     NS_LOG_DEBUG("UL DATA Power allocation :");
-    Values::const_iterator it;
     uint32_t i = 0;
     uint32_t numActiveRbs = 0;
 
@@ -865,7 +862,7 @@
     // of active RBs. This method is independent of the bandwidth
     // configuration done in a test scenario, thus, it requires
     // minimum change to the script.
-    for (it = spectrumValue->ConstValuesBegin(); it != spectrumValue->ConstValuesEnd(); it++)
+    for (auto it = spectrumValue->ConstValuesBegin(); it != spectrumValue->ConstValuesEnd(); it++)
     {
         // Count the RB as active if it is part of
         // the expected UL RBs and has Power Spectral Density (PSD) > 0
@@ -878,7 +875,7 @@
 
     // The uplink power control and the uplink PSD
     // calculation only consider active resource blocks.
-    for (it = spectrumValue->ConstValuesBegin(); it != spectrumValue->ConstValuesEnd(); it++)
+    for (auto it = spectrumValue->ConstValuesBegin(); it != spectrumValue->ConstValuesEnd(); it++)
     {
         double power = (*it) * (numActiveRbs * 180000);
         NS_LOG_DEBUG("RB " << i << " POWER: " << power
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/lte/test/lte-test-ipv6-routing.cc ns-3.40/src/lte/test/lte-test-ipv6-routing.cc
--- ns-3.39/src/lte/test/lte-test-ipv6-routing.cc	2023-07-05 14:23:48.021428000 -0700
+++ ns-3.40/src/lte/test/lte-test-ipv6-routing.cc	2023-09-27 13:30:37.830839600 -0700
@@ -17,7 +17,6 @@
  * Author: Manoj Kumar Rana <manoj24.rana@gmail.com>
  */
 
-#include "ns3/applications-module.h"
 #include "ns3/config-store.h"
 #include "ns3/core-module.h"
 #include "ns3/epc-helper.h"
@@ -29,6 +28,7 @@
 #include "ns3/mobility-module.h"
 #include "ns3/network-module.h"
 #include "ns3/point-to-point-helper.h"
+#include "ns3/udp-echo-helper.h"
 
 #include <algorithm>
 
@@ -164,8 +164,7 @@
     bool b = false;
     bool check = true;
     // Extract each received reply packet of the client
-    for (std::list<Ptr<Packet>>::iterator it1 = m_clientRxPkts.begin(); it1 != m_clientRxPkts.end();
-         it1++)
+    for (auto it1 = m_clientRxPkts.begin(); it1 != m_clientRxPkts.end(); it1++)
     {
         Ipv6Header ipv6header1;
         UdpHeader udpHeader1;
@@ -174,9 +173,7 @@
         uint64_t uid = p1->GetUid();
         p1->RemoveHeader(udpHeader1);
         // Search each packet in list of sent request packet of the client
-        for (std::list<Ptr<Packet>>::iterator it2 = m_clientTxPkts.begin();
-             it2 != m_clientTxPkts.end();
-             it2++)
+        for (auto it2 = m_clientTxPkts.begin(); it2 != m_clientTxPkts.end(); it2++)
         {
             Ptr<Packet> p2 = (*it2)->Copy();
             Ipv6Header ipv6header2;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/lte/test/lte-test-pf-ff-mac-scheduler.cc ns-3.40/src/lte/test/lte-test-pf-ff-mac-scheduler.cc
--- ns-3.39/src/lte/test/lte-test-pf-ff-mac-scheduler.cc	2023-07-05 14:23:48.021428000 -0700
+++ ns-3.40/src/lte/test/lte-test-pf-ff-mac-scheduler.cc	2023-09-27 13:30:37.830839600 -0700
@@ -399,7 +399,7 @@
 {
     std::ostringstream oss;
     oss << "distances (m) = [ ";
-    for (std::vector<double>::iterator it = dist.begin(); it != dist.end(); ++it)
+    for (auto it = dist.begin(); it != dist.end(); ++it)
     {
         oss << *it << " ";
     }
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/lte/test/lte-test-phy-error-model.cc ns-3.40/src/lte/test/lte-test-phy-error-model.cc
--- ns-3.39/src/lte/test/lte-test-phy-error-model.cc	2023-07-05 14:23:48.021428000 -0700
+++ ns-3.40/src/lte/test/lte-test-phy-error-model.cc	2023-09-27 13:30:37.830839600 -0700
@@ -260,7 +260,7 @@
 
         // sanity check for whether the tx packets reported by the stats are correct
         // we expect one packet per TTI
-        double expectedDlTxPackets = static_cast<double>(statsDuration.GetMilliSeconds());
+        auto expectedDlTxPackets = static_cast<double>(statsDuration.GetMilliSeconds());
         NS_TEST_ASSERT_MSG_EQ_TOL(dlTxPackets,
                                   expectedDlTxPackets,
                                   expectedDlTxPackets * 0.005,
@@ -422,7 +422,7 @@
 
         // sanity check for whether the tx packets reported by the stats are correct
         // we expect one packet per TTI
-        double expectedDlTxPackets = static_cast<double>(statsDuration.GetMilliSeconds());
+        auto expectedDlTxPackets = static_cast<double>(statsDuration.GetMilliSeconds());
         NS_TEST_ASSERT_MSG_EQ_TOL(dlTxPackets,
                                   expectedDlTxPackets,
                                   expectedDlTxPackets * 0.005,
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/lte/test/lte-test-pss-ff-mac-scheduler.cc ns-3.40/src/lte/test/lte-test-pss-ff-mac-scheduler.cc
--- ns-3.39/src/lte/test/lte-test-pss-ff-mac-scheduler.cc	2023-07-05 14:23:48.021428000 -0700
+++ ns-3.40/src/lte/test/lte-test-pss-ff-mac-scheduler.cc	2023-09-27 13:30:37.830839600 -0700
@@ -21,15 +21,16 @@
 
 #include "lte-test-pss-ff-mac-scheduler.h"
 
-#include "ns3/applications-module.h"
 #include "ns3/double.h"
 #include "ns3/internet-module.h"
 #include "ns3/ipv4-global-routing-helper.h"
 #include "ns3/network-module.h"
+#include "ns3/packet-sink-helper.h"
 #include "ns3/point-to-point-epc-helper.h"
 #include "ns3/point-to-point-helper.h"
 #include "ns3/radio-bearer-stats-calculator.h"
 #include "ns3/string.h"
+#include "ns3/udp-client-server-helper.h"
 #include <ns3/boolean.h>
 #include <ns3/constant-position-mobility-model.h>
 #include <ns3/enum.h>
@@ -543,7 +544,7 @@
 {
     std::ostringstream oss;
     oss << "distances (m) = [ ";
-    for (std::vector<double>::iterator it = dist.begin(); it != dist.end(); ++it)
+    for (auto it = dist.begin(); it != dist.end(); ++it)
     {
         oss << *it << " ";
     }
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/lte/test/lte-test-radio-link-failure.cc ns-3.40/src/lte/test/lte-test-radio-link-failure.cc
--- ns-3.39/src/lte/test/lte-test-radio-link-failure.cc	2023-07-05 14:23:48.021428000 -0700
+++ ns-3.40/src/lte/test/lte-test-radio-link-failure.cc	2023-09-27 13:30:37.830839600 -0700
@@ -24,7 +24,6 @@
 
 #include "lte-test-radio-link-failure.h"
 
-#include "ns3/applications-module.h"
 #include "ns3/config-store-module.h"
 #include "ns3/config-store.h"
 #include "ns3/core-module.h"
@@ -32,7 +31,9 @@
 #include "ns3/lte-module.h"
 #include "ns3/mobility-module.h"
 #include "ns3/network-module.h"
+#include "ns3/packet-sink-helper.h"
 #include "ns3/point-to-point-module.h"
+#include "ns3/udp-client-server-helper.h"
 
 #include <iomanip>
 #include <iostream>
@@ -281,9 +282,7 @@
     // Mobility
     Ptr<ListPositionAllocator> positionAllocEnb = CreateObject<ListPositionAllocator>();
 
-    for (std::vector<Vector>::iterator enbPosIt = m_enbPositionList.begin();
-         enbPosIt != m_enbPositionList.end();
-         ++enbPosIt)
+    for (auto enbPosIt = m_enbPositionList.begin(); enbPosIt != m_enbPositionList.end(); ++enbPosIt)
     {
         positionAllocEnb->Add(*enbPosIt);
     }
@@ -294,9 +293,7 @@
 
     Ptr<ListPositionAllocator> positionAllocUe = CreateObject<ListPositionAllocator>();
 
-    for (std::vector<Vector>::iterator uePosIt = m_uePositionList.begin();
-         uePosIt != m_uePositionList.end();
-         ++uePosIt)
+    for (auto uePosIt = m_uePositionList.begin(); uePosIt != m_uePositionList.end(); ++uePosIt)
     {
         positionAllocUe->Add(*uePosIt);
     }
@@ -463,9 +460,7 @@
 
     Ptr<LteEnbNetDevice> enbLteDevice;
 
-    for (std::vector<Ptr<NetDevice>>::const_iterator enbDevIt = enbDevices.Begin();
-         enbDevIt != enbDevices.End();
-         ++enbDevIt)
+    for (auto enbDevIt = enbDevices.Begin(); enbDevIt != enbDevices.End(); ++enbDevIt)
     {
         if (((*enbDevIt)->GetObject<LteEnbNetDevice>())->HasCellId(cellId))
         {
@@ -511,8 +506,8 @@
     ueRrc->GetAttribute("DataRadioBearerMap", ueDataRadioBearerMapValue);
     NS_TEST_ASSERT_MSG_EQ(ueDataRadioBearerMapValue.GetN(), 1 + 1, "wrong num bearers at UE");
 
-    ObjectMapValue::Iterator enbBearerIt = enbDataRadioBearerMapValue.Begin();
-    ObjectMapValue::Iterator ueBearerIt = ueDataRadioBearerMapValue.Begin();
+    auto enbBearerIt = enbDataRadioBearerMapValue.Begin();
+    auto ueBearerIt = ueDataRadioBearerMapValue.Begin();
     while (enbBearerIt != enbDataRadioBearerMapValue.End() &&
            ueBearerIt != ueDataRadioBearerMapValue.End())
     {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/lte/test/lte-test-tdbet-ff-mac-scheduler.cc ns-3.40/src/lte/test/lte-test-tdbet-ff-mac-scheduler.cc
--- ns-3.39/src/lte/test/lte-test-tdbet-ff-mac-scheduler.cc	2023-07-05 14:23:48.021428000 -0700
+++ ns-3.40/src/lte/test/lte-test-tdbet-ff-mac-scheduler.cc	2023-09-27 13:30:37.830839600 -0700
@@ -388,7 +388,7 @@
 {
     std::ostringstream oss;
     oss << "distances (m) = [ ";
-    for (std::vector<double>::iterator it = dist.begin(); it != dist.end(); ++it)
+    for (auto it = dist.begin(); it != dist.end(); ++it)
     {
         oss << *it << " ";
     }
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/lte/test/lte-test-tdtbfq-ff-mac-scheduler.cc ns-3.40/src/lte/test/lte-test-tdtbfq-ff-mac-scheduler.cc
--- ns-3.39/src/lte/test/lte-test-tdtbfq-ff-mac-scheduler.cc	2023-07-05 14:23:48.021428000 -0700
+++ ns-3.40/src/lte/test/lte-test-tdtbfq-ff-mac-scheduler.cc	2023-09-27 13:30:37.830839600 -0700
@@ -21,15 +21,16 @@
 
 #include "lte-test-tdtbfq-ff-mac-scheduler.h"
 
-#include "ns3/applications-module.h"
 #include "ns3/double.h"
 #include "ns3/internet-module.h"
 #include "ns3/ipv4-global-routing-helper.h"
 #include "ns3/network-module.h"
+#include "ns3/packet-sink-helper.h"
 #include "ns3/point-to-point-epc-helper.h"
 #include "ns3/point-to-point-helper.h"
 #include "ns3/radio-bearer-stats-calculator.h"
 #include "ns3/string.h"
+#include "ns3/udp-client-server-helper.h"
 #include <ns3/boolean.h>
 #include <ns3/constant-position-mobility-model.h>
 #include <ns3/enum.h>
@@ -546,7 +547,7 @@
 {
     std::ostringstream oss;
     oss << "distances (m) = [ ";
-    for (std::vector<double>::iterator it = dist.begin(); it != dist.end(); ++it)
+    for (auto it = dist.begin(); it != dist.end(); ++it)
     {
         oss << *it << " ";
     }
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/lte/test/lte-test-ue-measurements.cc ns-3.40/src/lte/test/lte-test-ue-measurements.cc
--- ns-3.39/src/lte/test/lte-test-ue-measurements.cc	2023-07-05 14:23:48.021428000 -0700
+++ ns-3.40/src/lte/test/lte-test-ue-measurements.cc	2023-09-27 13:30:37.830839600 -0700
@@ -1607,8 +1607,7 @@
             NS_TEST_ASSERT_MSG_EQ(measResults.haveMeasResultNeighCells,
                                   true,
                                   "Unexpected report content");
-            std::list<LteRrcSap::MeasResultEutra>::iterator it =
-                measResults.measResultListEutra.begin();
+            auto it = measResults.measResultListEutra.begin();
             NS_ASSERT(it != measResults.measResultListEutra.end());
             NS_ASSERT(it->physCellId == 2);
             NS_TEST_ASSERT_MSG_EQ(it->haveCgiInfo,
@@ -1900,8 +1899,7 @@
             NS_TEST_ASSERT_MSG_EQ(measResults.haveMeasResultNeighCells,
                                   true,
                                   "Unexpected report content");
-            std::list<LteRrcSap::MeasResultEutra>::iterator it =
-                measResults.measResultListEutra.begin();
+            auto it = measResults.measResultListEutra.begin();
             NS_ASSERT(it != measResults.measResultListEutra.end());
             for (const auto& it : measResults.measResultListEutra)
             {
@@ -2402,18 +2400,19 @@
 
     // Setup UE measurement configuration in eNodeBs
     uint8_t measId;
-    std::list<LteRrcSap::ReportConfigEutra>::const_iterator itReportConfig;
     Ptr<LteEnbRrc> enbRrc1 = enbDevs.Get(0)->GetObject<LteEnbNetDevice>()->GetRrc();
     Ptr<LteEnbRrc> enbRrc2 = enbDevs.Get(1)->GetObject<LteEnbNetDevice>()->GetRrc();
 
-    for (itReportConfig = m_sourceConfigList.begin(); itReportConfig != m_sourceConfigList.end();
+    for (auto itReportConfig = m_sourceConfigList.begin();
+         itReportConfig != m_sourceConfigList.end();
          itReportConfig++)
     {
         measId = enbRrc1->AddUeMeasReportConfig(*itReportConfig).at(0);
         m_expectedSourceCellMeasId.insert(measId);
     }
 
-    for (itReportConfig = m_targetConfigList.begin(); itReportConfig != m_targetConfigList.end();
+    for (auto itReportConfig = m_targetConfigList.begin();
+         itReportConfig != m_targetConfigList.end();
          itReportConfig++)
     {
         measId = enbRrc2->AddUeMeasReportConfig(*itReportConfig).at(0);
@@ -2490,12 +2489,12 @@
     bool isCorrectMeasId;
     if (cellId == 1)
     {
-        std::set<uint8_t>::iterator itMeasId = m_expectedSourceCellMeasId.find(measId);
+        auto itMeasId = m_expectedSourceCellMeasId.find(measId);
         isCorrectMeasId = (itMeasId != m_expectedSourceCellMeasId.end());
     }
     else if (cellId == 2)
     {
-        std::set<uint8_t>::iterator itMeasId = m_expectedTargetCellMeasId.find(measId);
+        auto itMeasId = m_expectedTargetCellMeasId.find(measId);
         isCorrectMeasId = (itMeasId != m_expectedTargetCellMeasId.end());
     }
     else
@@ -2528,8 +2527,7 @@
             NS_TEST_ASSERT_MSG_EQ(measResults.haveMeasResultNeighCells,
                                   true,
                                   "Unexpected report content");
-            std::list<LteRrcSap::MeasResultEutra>::iterator it =
-                measResults.measResultListEutra.begin();
+            auto it = measResults.measResultListEutra.begin();
             NS_ASSERT(it != measResults.measResultListEutra.end());
             NS_ASSERT(it->physCellId != cellId);
             NS_ASSERT(it->physCellId <= 2);
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.39/src/lte/test/test-asn1-encoding.cc ns-3.40/src/lte/test/test-asn1-encoding.cc
--- ns-3.39/src/lte/test/test-asn1-encoding.cc	2023-07-05 14:23:48.021428000 -0700
+++ ns-3.40/src/lte/test/test-asn1-encoding.cc	2023-09-27 13:30:37.830839600 -0700
@@ -207,9 +207,9 @@
                           "SrbToAddModList different sizes");
 
     std::list<LteRrcSap::SrbToAddMod> srcSrbToAddModList = rrcd1.srbToAddModList;
-    std::list<LteRrcSap::SrbToAddMod>::iterator it1 = srcSrbToAddModList.begin();
+    auto it1 = srcSrbToAddModList.begin();
     std::list<LteRrcSap::SrbToAddMod> dstSrbToAddModList = rrcd2.srbToAddModList;
-    std::list<LteRrcSap::SrbToAddMod>::iterator it2 = dstSrbToAddModList.begin();
+    auto it2 = dstSrbToAddModList.begin();
 
     for (; it1 != srcSrbToAddModList.end(); it1++, it2++)
     {
@@ -233,9 +233,9 @@
                           "DrbToAddModList different sizes");
 
     std::list<LteRrcSap::DrbToAddMod> srcDrbToAddModList = rrcd1.drbToAddModList;
-    std::list<LteRrcSap::DrbToAddMod>::iterator it3 = srcDrbToAddModList.begin();
+    auto it3 = srcDrbToAddModList.begin();
     std::list<LteRrcSap::DrbToAddMod> dstDrbToAddModList = rrcd2.drbToAddModList;
-    std::list<LteRrcSap::DrbToAddMod>::iterator it4 = dstDrbToAddModList.begin();
+    auto it4 = dstDrbToAddModList.begin();
 
     for (; it3 != srcDrbToAddModList.end(); it3++, it4++)
     {
@@ -267,8 +267,8 @@
 
     std::list<uint8_t> srcDrbToReleaseList = rrcd1.drbToReleaseList;
     std::list<uint8_t> dstDrbToReleaseList = rrcd2.drbToReleaseList;
-    std::list<uint8_t>::iterator it5 = srcDrbToReleaseList.begin();
-    std::list<uint8_t>::iterator it6 = dstDrbToReleaseList.begin();
+    auto it5 = srcDrbToReleaseList.begin();
+    auto it6 = dstDrbToReleaseList.begin();
 
     for (; it5 != srcDrbToReleaseList.end(); it5++, it6++)
     {
@@ -1186,8 +1186,8 @@
 
     if (srcMeas.haveMeasResultNeighCells)
     {
-        std::list<LteRrcSap::MeasResultEutra>::iterator itsrc = srcMeas.measResultListEutra.begin();
-        std::list<LteRrcSap::MeasResultEutra>::iterator itdst = dstMeas.measResultListEutra.begin();
+        auto itsrc = srcMeas.measResultListEutra.begin();
+        auto itdst = dstMeas.measResultListEutra.begin();
         for (; itsrc != srcMeas.measResultListEutra.end(); itsrc++, itdst++)
         {
             NS_TEST_ASSERT_MSG_EQ(itsrc->physCellId, itdst->physCellId, "Different physCellId!");
@@ -1210,8 +1210,8 @@
 
                 if (!itsrc->cgiInfo.plmnIdentityList.empty())
                 {
-                    std::list<uint32_t>::iterator itsrc2 = itsrc->cgiInfo.plmnIdentityList.begin();
-                    std::list<uint32_t>::iterator itdst2 = itdst->cgiInfo.plmnIdentityList.begin();
+                    auto itsrc2 = itsrc->cgiInfo.plmnIdentityList.begin();
+                    auto itdst2 = itdst->cgiInfo.plmnIdentityList.begin();
                     for (; itsrc2 != itsrc->cgiInfo.plmnIdentityList.begin(); itsrc2++, itdst2++)
                     {
                         NS_TEST_ASSERT_MSG_EQ(*itsrc2, *itdst2, "Different plmnId elements!");
